// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"

/**
 * The main entry point for the program.
 * 
 * @param argc The count of arguments passed to the program.
 * @param argv The arguments passed to the program.
 * @return 0 for success, anything else for failure.
 */
int32_t main(int32_t argc, const char **argv);