// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"
#include "scene/SceneItem.hpp"

namespace Dawn {
  class MeshRenderer final : public SceneComponent {
    public:
      std::shared_ptr<Mesh> mesh;

      void onInit() override;
      void onDispose() override;
  };
}